# keyCloak-Demo-Frontend

keyCloak Demo 用 Server

[![Coding Style](https://img.shields.io/badge/Coding%20Style-airbnb-blue)](https://github.com/airbnb/javascript)

## 🔧 Requirements

- [Node.js](https://nodejs.org/en/) 10.13+ with [npm](https://www.npmjs.com/)
- A fancy editor like [Vs Code](https://code.visualstudio.com/), [Sublime text](https://www.sublimetext.com/).

## 🚀 Project Quick Start

### Dev Server Guide

1. Clone the project from [keycloak-demo-frontend](https://git.trj.tw/keycloak-org/keycloak-demo-frontend.git).
2. Move the root path in project folder.
3. Run `npm i` or `npm install` to install node_modules.
4. The default server is on `localhost:4200`, please check you don't have any server on it.
5. Run `npm run start` to start dev server.

Steps

```git bash
git clone https://git.trj.tw/keycloak-org/keycloak-demo-frontend.git
cd keycloak-demo-frontend
npm install && npm audit fix
npm run start
```

## 📢 Information

- **Front End Framework** : [React](https://github.com/facebook/react)
- **CSS Library** : [Material UI React](https://github.com/mui-org/material-ui)
- **Coding Style** : [Airbnb](https://github.com/airbnb/javascript) (Use [Eslint](https://eslint.org/) to manager)
