import { APIError } from '@Models/GeneralTypes';
import { UserOAuthResponse, UserTokenInfo } from '@Models/Redux/User/types';

export interface OAuthResult extends UserTokenInfo, APIError {
  code: number;
  message: string;
  errorStack: string;
  errorMessage: string;
}

export { UserOAuthResponse, UserTokenInfo, APIError };
