import { TimeStamp } from '@Models/GeneralTypes';

export interface UserAccountInfo extends TimeStamp {
  _id: string;
  username: string;
  email: string;
  display_name: string;
}
export interface UserSignInInfo {
  account: UserAccountInfo;
}
export interface UserTokenInfo {
  token: string;
}
export interface UserOAuthUrl {
  url: string;
}
export interface UserOAuthResponse {
  success?: string;
  error?: string;
}
